#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		lname		%(echo %{sname} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	python3-ConfigArgParse
Version		:	1.5.3
Release		:	14.4.0.0%{?dist}
Summary		:	Python module with support for argparse, config files, and env variables
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/bw2/ConfigArgParse

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python3-pytest
BuildRequires	:	python-build
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Applications with more than a handful of user-settable options
are best configured through a combination of command line args,
config files, hard coded defaults, and in some cases, environment
variables.
	
	
Python’s command line parsing modules such as argparse have very
limited support for config files and environment variables, so
this module extends argparse to add these features.
	

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{lname}.py
%{python3_sitelib}/__pycache__/%{lname}.cpython*.pyc
%{python3_sitelib}/%{sname}-%{version}*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\
	--skip-build					\
	--optimize=1					\

#-----------------------------------------------------------------------------
%changelog
